﻿Option Strict On
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Phone.Controls
Imports System.Xml.Linq

Public Class ImageInfo
    Property タイトル As String
    Property 画像名 As String
End Class

Partial Public Class MainPage
    Inherits PhoneApplicationPage
    ' Constructor
    Public Sub New()
        InitializeComponent()

        ' Set the data context of the listbox control to the sample data
        'DataContext = App.ViewModel
    End Sub

    Dim myReadXmldoc As New ReadXmldoc
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        If myParam.ContainsKey("PivotIndex") Then
            Dim pivotIndex As Integer = Integer.Parse(myParam("PivotIndex"))
            Pivot1.SelectedIndex = pivotIndex
        End If
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles Me.Loaded
        ImageShow()
        NameShow()
        SiteNameShow()
    End Sub


    Private Sub ImageShow()
        Dim myImageInfo As New List(Of ImageInfo)
        For Each result In From c In myReadXmldoc.photo.Descendants("情報") Select c
            myImageInfo.Add(New ImageInfo With {.タイトル = result.Element("画像名").Attribute("タイトル").Value, .画像名 = "Image/" & result.Element("画像名").Value})
        Next
        ListBox1.ItemsSource = myImageInfo
    End Sub

    Private Sub NameShow()
        Dim nameList As New List(Of String)
        For Each result In From c In myReadXmldoc.personalInfo.Descendants("情報") Select c
            nameList.Add(result.Element("氏名").Value)
        Next
        ListBox2.ItemsSource = nameList
    End Sub

    Private Sub SiteNameShow()
        Dim siteNameList As New List(Of String)
        For Each result In From c In myReadXmldoc.favoriteSite.Descendants("サイト名") Select c
            siteNameList.Add(result.Value)
        Next
        ListBox3.ItemsSource = siteNameList
    End Sub

    Private Sub ListBox1_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        Dim myIndex As String = ListBox1.SelectedIndex.ToString
        NavigationService.Navigate(New Uri("/ImageComment.xaml?Index=" & myIndex, UriKind.Relative))
    End Sub

    Private Sub ListBox2_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox2.SelectionChanged
        Dim myIndex As String = ListBox2.SelectedIndex.ToString
        NavigationService.Navigate(New Uri("/PersonalInfoDetails.xaml?personalInfoIndex=" & myIndex, UriKind.Relative))
    End Sub

    Private Sub ListBox3_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox3.SelectionChanged
        Dim myIndex As String = ListBox3.SelectedIndex.ToString
        NavigationService.Navigate(New Uri("/myFavoriteSite.xaml?siteIndex=" & myIndex, UriKind.Relative))
    End Sub
End Class
